Package com.sun.ts.lib.util.sec.security.provider

# Class PolicyParser.PermissionEntry

java.lang.Object
com.sun.ts.lib.util.sec.security.provider.PolicyParser.PermissionEntry

Enclosing class:
  PolicyParser

public static class PolicyParser.PermissionEntry extends Object
Each permission entry in the policy configuration file is represented by a PermissionEntry object. For example, the entry

              permission java.io.FilePermission "/tmp", "read,write";

is represented internally

     pe = new PermissionEntry("java.io.FilePermission", "/tmp", "read,write");

Author:
  Roland Schemers version 1.19, 05/21/98

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `action`
  `String`
  `name`
  `String`
  `permission`
  `String`
  `signedBy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PermissionEntry()`
  `PermissionEntry(String permission, String name, String action)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  Calculates a hash code value for the object.
  `void`
  `write(PrintWriter out)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### permission

    public String permission

  - ### name

    public String name

  - ### action

    public String action

  - ### signedBy

    public String signedBy

- ## Constructor Details

  - ### PermissionEntry

    public PermissionEntry()

  - ### PermissionEntry

    public PermissionEntry(String permission, String name, String action)

- ## Method Details

  - ### hashCode

    public int hashCode()
    Calculates a hash code value for the object. Objects which are equal will also have the same hashcode.
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### write

    public void write(PrintWriter out)